CVE-2003-0048
CVSS4.6
发布时间 :2003-02-19 00:00:00
修订时间 :2016-10-17 22:28:46
NMCOS    

[原文]PuTTY 0.53b and earlier does not clear logon credentials from memory, including plaintext passwords, which could allow attackers with access to memory to steal the SSH credentials.


[CNNVD]Putty SSH2验证本地密码泄露漏洞(CNNVD-200302-032)

        
        PuTTY是一款免费的Telnet和SSH客户端实现,可使用在Win32平台下。
        PuTTY没有安全处理内存中密码信息,本地攻击者可以利用这个漏洞恢复用户验证密码信息。
        PuTTY没有正确处理内存中的信息,允许本地攻击者访问内存或Dump内存信息而获得验证信息。当通过SSH2连接服务器时,攻击者可以搜索内存获得登录信息。通过搜索第二次出现的字符串"password:",就可以获得密码信息,因为用户的密码信息以明文方式存储在此字符串之后。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:putty:putty:0.53
cpe:/a:putty:putty:0.49
cpe:/a:putty:putty:0.48
cpe:/a:putty:putty:0.53b

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0048
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0048
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200302-032
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=104386492422014&w=2
(UNKNOWN)  BUGTRAQ  20030129 iDEFENSE Security Advisory 01.28.03: SSH2 Clients Insecurely Store Passwords
http://www.idefense.com/advisory/01.28.03.txt
(VENDOR_ADVISORY)  MISC  http://www.idefense.com/advisory/01.28.03.txt
http://www.securityfocus.com/bid/6724
(UNKNOWN)  BID  6724
http://www.securitytracker.com/id?1006014
(UNKNOWN)  SECTRACK  1006014

- 漏洞信息

Putty SSH2验证本地密码泄露漏洞
中危 设计错误
2003-02-19 00:00:00 2005-10-20 00:00:00
本地  
        
        PuTTY是一款免费的Telnet和SSH客户端实现,可使用在Win32平台下。
        PuTTY没有安全处理内存中密码信息,本地攻击者可以利用这个漏洞恢复用户验证密码信息。
        PuTTY没有正确处理内存中的信息,允许本地攻击者访问内存或Dump内存信息而获得验证信息。当通过SSH2连接服务器时,攻击者可以搜索内存获得登录信息。通过搜索第二次出现的字符串"password:",就可以获得密码信息,因为用户的密码信息以明文方式存储在此字符串之后。
        

- 公告与补丁

        厂商补丁:
        Simon Tatham
        ------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.chiark.greenend.org.uk/~sgtatham/putty/

- 漏洞信息

7687
PuTTY SSH2 Client Memory Logon Credential Leak

- 漏洞描述

- 时间线

2003-01-28 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Van Dyke Software Entunnel SSH2 Authentication Password Persistence Weakness
Design Error 6728
No Yes
2003-01-29 12:00:00 2009-07-11 08:06:00
Discovery credited to Knud Erik Højgaard <knud@skodliv.dk>.

- 受影响的程序版本

VanDyke Entunnel 1.0.2
VanDyke Entunnel 1.0.3

- 不受影响的程序版本

VanDyke Entunnel 1.0.3

- 漏洞讨论

It has been reported that Entunnel does not safely handle password information. As a result, a local user may be able to recover authentication passwords.

- 漏洞利用

No exploit is required for this weakness.

- 解决方案

VanDyke Software has made fixes available:


VanDyke Entunnel 1.0.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站